function compile(B,T,J,Q,M,V)
    spec_name=['J' num2str(J) 'Q' num2str(Q) 'M' num2str(M) 'V' num2str(V)];    
    load(['mc_results/mc_spec_' spec_name '.mat']);

    boot.ci_high=[];
    boot.ci_low=[];
    cover.avar=[];
    cover.boot=[];
    cover.boot_cut=[];
    se.avar=[];
    se.boot=[];
    theta=[];
    time.boot=[];
    time.est=[];
    
    for tt=0:T-1        
        filenm=['mc_result_' spec_name '_' num2str(tt*B+1) '_' num2str((tt+1)*B)];
        load(filenm);
        
        % Append estimates
        boot.ci_high=[boot.ci_high boot_ci_high];
        boot.ci_low=[boot.ci_low boot_ci_low];
        cover.avar=[cover.avar cover_mc_avar];
        cover.boot=[cover.boot cover_mc_boot];
        cover.boot_cut=[cover.boot_cut cover_mc_boot_cut];
        se.avar=[se.avar se_mc_avar];
        se.boot=[se.boot se_mc_boot];
        theta=[theta theta_mc];
        time.boot=[time.boot time_boot];
        time.est=[time.est time_est];        
    end
    
    disp(num2str(sum(all(theta==0,1))));
    find(all(theta==0,1))
    assert(sum(all(theta==0,1))==0);
    
    save(['mc_result_all' spec_name],'boot','cover','se','theta','time','mc','model','output');
    
end