function output=monte_carlo(bb,model,mc,mom_specs,boot_set)
    rng(bb);

    data.X_names={'Xvar1','Xvar2','Xvar3'};
    data.Z_names={'Zvar1','Zvar2','Zvar3','Zvar4'};
    data.XZ_names={};

    data.J=mc.J;
    data.qty=ceil(rand(data.J,1)*mc.q_bar);
    data.N=sum(data.qty);

    data.X=mvnrnd(1:3,eye(3),data.N);
    data.Z=mvnrnd(1:4,eye(4),data.J);
    
    data.XZ=[];

    %%% Fake match
    [str_data,K]=rc_init_struct_model(data,model);
    [u_det,v_det]=det_util(str_data,mc);

    beta_i=zeros(data.N,0);
    if ~isempty(mc.gamma_rc)
        beta_i=mvnrnd(zeros(size(model.v_rc,2),1),diag(exp(mc.gamma_rc)),data.N);
    end

    data.match=rc_moms_c(u_det+mvnrnd(0,1,data.N),v_det,mvnrnd(0,1,data.J),beta_i,str_data.Z_rc,str_data.qty);

    % Options
    optim_set.global_iter=1000;
    optim_set.verbose=0;
    sims_set.rng_seed=bb;
        
    clear u_det v_det beta_i bb;

    mc_est;
end