clear;
load many_to_one_coarse;

%% Smoooth out
grid1=interp2(repmat(gridb',1,Gsize),3);
grid2=interp2(repmat(gridg,Gsize,1),3);
values_ov=interp2(obj_ov,3);
values_w=interp2(obj_w,3);
obj_sum=10*obj_w+obj_ov;
values_sum=interp2(obj_sum,3);


%% Raw
figure(1);
[C,h]=contour(repmat(gridb',1,Gsize),repmat(gridg,Gsize,1),obj_w,30);
colormap gray

figure(2);
[C,h]=contour(repmat(gridb',1,Gsize),repmat(gridg,Gsize,1),obj_ov,30);
colormap gray

figure(3);
[C,h]=contour(repmat(gridb',1,Gsize),repmat(gridg,Gsize,1),obj_ov+10*obj_w,30);
colormap gray


%% Smooth interpolate
figure(1);
[C,h]=contour(grid1,grid2,values_w,30);
colormap gray

figure(2);
[C,h]=contour(grid1,grid2,values_ov,30);
colormap gray

figure(3);
[C,h]=contour(grid1,grid2,values_sum,30);
colormap gray

%% MA smooth
figure(1);
[C,h]=contour(repmat(gridb',1,Gsize),repmat(gridg,Gsize,1),log(0.1+obj_w),25);
colormap gray
xlabel('Coefficient on worker characteristic (\alpha)');
ylabel('Coefficient on firm characteristic (\beta)');
text(1,1,'* True Paramater');

figure(2);
[C,h]=contour(repmat(gridb',1,Gsize),repmat(gridg,Gsize,1),log(0.1+smooth2a(obj_ov,3,3)),25);
colormap gray
xlabel('Coefficient on worker characteristic (\alpha)');
ylabel('Coefficient on firm characteristic (\beta)');
text(1,1,'* True Paramater');

figure(3);
[C,h]=contour(repmat(gridb',1,Gsize),repmat(gridg,Gsize,1),log(0.1+smooth2a(obj_ov+10*obj_w,3,3)),25);
colormap gray
xlabel('Coefficient on worker characteristic (\alpha)');
ylabel('Coefficient on firm characteristic (\beta)');
text(1,1,'* True Paramater');

