/* Find the location of the maximum in an array after appending sim and calculating the random co-efficients */
int max_v_rc_Array(double *v_det,double *Z_rc, double *beta_i_sim, int *avail, int num_avail, int who_picks, double *sim, int N, int J, int K_rc)
{
    /* Initialize the variables */
    int j, k, max_loc, who_picks_J;

    /* Who picks tells you which column of the simulated utility to look at */
    double max,v;


    /* This version of who_picks is slightly different from the one in max_v_sim_Array.c */
    who_picks_J=who_picks*J;

    /* Initialize the max v */    
    max=v_det[avail[0]+who_picks_J]+sim[avail[0]];

    for(k=0;k<K_rc;k++)
      max+=beta_i_sim[N*k+who_picks]*Z_rc[J*k+avail[0]];
    
    /* Calculate the location of the max */
    for(j=0;j<num_avail;j++)
    {
        v=v_det[avail[j]+who_picks_J]+sim[avail[j]];
	
	for(k=0;k<K_rc;k++)
	  v+=beta_i_sim[N*k+who_picks]*Z_rc[J*k+avail[j]];

        if(v>=max)
        {
            max_loc=j;
            max=v;
        }       
    }   
    return(max_loc);
}
