function [var_sim,D]=rc_D_V(theta_hat,theta_const,str_data,K,mom_data,rng_seed,der_sims,tol)

    % Generate simulations
    rng(rng_seed);
       
    der_sims=gen_sims(str_data.N,str_data.J,der_sims,K.rc);
        
    % Wrapper
    mean_mom=@(theta) rc_msm_mom(theta,str_data,der_sims,K,mom_data);
       
    [~,var_sim]=mean_mom(theta_hat);  % Variance in the simulations       
  
    % Simulation Variance
    if nargout>1
        % Derivative
        D=fdjac_ed(mean_mom,theta_hat,tol);
        D=D(:,~theta_const);    
    end
end