function mom_var=rc_boot_markets(B,theta,str_data,K,mom_data)
    if isrow(theta)
        theta=theta';
    end
    
    theta_str=split_theta(theta,K);  
       
    % Compute the deterministic pieces for the
    [u_det,v_det]=det_util(str_data,theta_str);
      
    % Pre-allocate boot-strap memory
    mom_boot=zeros(size(mom_data.mom_ov,2)+size(mom_data.mom_w,2)+size(mom_data.mom_xz,2)+size(mom_data.mom_peer,2),B);
    
    parfor bb=1:B
       mom_boot(:,bb)=rc_boot_bb_market(bb,str_data,mom_data,theta_str,K,u_det,v_det);                                       
    end                   

    mom_var=cov(mom_boot');
end